<?
/*
session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='session_invalida.php'; ";
	echo "</script>";
}*/
include("clases/cabevaluacion.class.php");
include("clases/evaluacion.class.php");
include("clases/pregunta.class.php");
include("clases/doc_curso.class.php");
include("clases/curso.class.php");
////////////////////
$vcod=$_REQUEST["id"];
$Objvent = new cabevaluacion();
$obje = new evaluacion();
$objp = new pregunta();
$objdc = new doc_curso();
$objcurso = new curso();
if($Objvent->BuscarPorCodigo($vcod))
	{		
		$viddoc_curso=$Objvent->getIddoc_curso();
		$vtitulo =$Objvent->getTitulo();
		$vtiempo=$Objvent->getTiempo();
		$vactivo = $Objvent->getActivo();
		if($objdc->BuscarPorCodigo($viddoc_curso))
		  {		$iddoc = $objdc->getIddoc();
		     $vidcurso = $objdc->getIdcurso();
			 if($objcurso->BuscarPorCodigo($vidcurso)){
			    $curso = $objcurso->getCurso();
			 }
		  }		
	}
?>
<html>

<script language="javascript"> 

function envia(id)
	{ 
	  window.open("frmdocing.php?id="+id,"","fullscreen=no, height=400,width=700,left=200,top=130,resizable = no,scrollbars=yes,toolbar = no,status = no");						
	}
	function enviagr(id)
	{ 
	  window.open("frmguia.php?id="+id,"","fullscreen=no, height=700,width=850,left=200,top=0,resizable = no,scrollbars=yes,toolbar = no,status = no");						
	}
</script>

	
<head>
<title>DETALLE DE INGRESO</title>
<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>
<style>
.text_docentes{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
</style>

<script language="javascript">
	function AbrirVentanaArticulo()
	{
	window.open("frmbuscaprod.php","","fullscreen=no, height=250,width=450,left=200,top=300,resizable = no,scrollbars=yes,toolbar = no,status = no");
	}	
	function guardarDetalle(f)
	   { 
	           document.frmventa.action='controladores/procesacabevaluacion.php';
		       document.frmventa.submit();
		      return true;//}
    	}
	
	function EliminarDetalleIng(f,codArt)
	{
		f.action='controladores/procesaevaluacion.php';
		f.CODEVA_ELIMINAR.value=codArt;
		f.submit();
		return true;
	}
</script>
<script language="javascript">
	function validar(e) { // 1
       tecla = (document.all) ? e.keyCode : e.which; // 2
       if (tecla==8) return true; // 3
       patron =/\d/; // 4
       te = String.fromCharCode(tecla); // 5
       return patron.test(te); // 6
	}
	function validareal(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8) return true; // 3
    patron =/^\d{0,15}\.?\d{0,2}$/; // 4
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6
} 
</script>
</head>

<body>


  <form name="frmventa" method="post" action="">
  <div class="panel-heading">
      <h2>CUESTIONARIO DE <span class="form-group">
        <?=$curso;?>
      </span>
        <? //$vcod;?>
        <span class="Estilo17">
        <input type="hidden" name="CODINGRESO" value="<?=$vcod;?>">
      </span><a href="mancabexamen.php?id=<?=$iddoc;?>" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></h2>
	</div>
 	 <div class="form-group">
		    TIEMPO: 
   	   <?=$vtiempo;?>min.    
	</div>
	<div class="form-group">
	DESCRIPCION: 
	  <?=$vtitulo;?>
	| ACTIVO:
	<?=$vactivo;?>
	</div>
    <table class="table table-responsive">
      <tr class="text_docentes">
        <td colspan="4" align="center" >PREGUNTAS DEL EXAMEN </td>
      </tr>
      <tr class="active" >
        <td width="4%"  align="center" >N&ordm;</td>
        <td width="76%" align="left">Pregunta</td>
        <td width="13%" align="right" >Puntaje</td>
        <td width="7%"  align="center" >Accion</td>
      </tr>
      <?php
		  $objprod = new pregunta();
		  $Objdetven=new evaluacion();
		  $listaVen = $Objdetven->ListarDetalleIngreso($vcod);
   for($i = 0; $i < count($listaVen); $i++)
       { 
	       if($objprod->BuscarPorCodigo($listaVen[$i]["idpregunta"]))	
		 		{
		 			$listaVen[$i]["pregunta"]=$objprod->getPregunta();
					$listaVen[$i]["puntaje"]=$objprod->getPuntaje();						
		 		}
     ?>
      <tr  onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='FFFFFF'">
        <td align="right"><?=($i+1);?>
        </td>
        <td align="left"><?=$listaVen[$i]['pregunta'];?>
        </td>
        <td align="right"><?=$listaVen[$i]['puntaje'];?></td>
        <td align="center"><a href="controladores/procesaevaluacion.php?CODEVA_ELIMINAR=<?=$listaVen[$i]['ideva'];?>&txtelim=e&CODINGRESO=<?=$listaVen[$i]["idcab"];?>"><span class="glyphicon glyphicon-trash"></span></a></td>
      </tr>
      <?php	
		  $s=$s + number_format($listaVen[$i]['puntaje'],2);
}
?>
      <tr class="text_docentes">
        <td colspan="2" align="right">MAXIMO PUNTAJE DE EXAMEN </td>
        <td align="right">[
              <?=$s;?>
          ]</td>
        <td><input type="hidden" name="CODPREG_ELIMINAR" size="8">
            <input type="hidden" name="txtelim" value="E">
            <span class="Estilo17"> </span></td>
      </tr>
    </table>
    <br>
  <table class=" table table-responsive">
    <tr class="Estilo1">
      <td colspan="3" align="left" >A&ntilde;adir pregunta:</td>
    </tr>
    
    <tr>
      <td width="39%"  align="left"><select name="CODPREG" class="form-control">
        <option value="">seleccionar Pregunta</option>
        <? $lista=$objp->ListarPorDocentecurso($viddoc_curso);
			 	  for($i = 0; $i<count($lista); $i++)
			       {			          
		 ?>
        <option value="<?=$lista[$i]["idpregunta"];?>"><?=$lista[$i]["pregunta"];?></option>
                <?
		           }		
	            ?>
      </select></td>
      <td width="32%"  align="left"><input type="button" name="Submit3" value="Agregar>>" onClick="guardarDetalle(this.form);" class="btn btn-success">
      <input type="hidden" name="PAG" value="G"></td>
      <td width="29%" align="left">&nbsp;</td>
    </tr>
  </table>
  </form>

</body>
</html>
